LibreOffice LibreOffice 6.2 SDK API Reference

Public Member Functions | List of all members
XImplicitIDAccess Interface Referencepublished

makes it possible to access contents through an implicit (unique) ID. More...

`import"XImplicitIDAccess.idl";`

Inheritance diagram for XImplicitIDAccess:

## Public Member Functions
any | getByImplicitID ([in] string ID) raises ( com::sun::star::container::NoSuchElementException )
sequence< string > | getImplicitIDs ()
Public Member Functions inherited from XElementAccess
type | getElementType ()
boolean | hasElements ()
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

makes it possible to access contents through an implicit (unique) ID.

## Member Function Documentation

## ◆ getByImplicitID()

any getByImplicitID | ( | [in] string | ID | ) |
raises | ( | com::sun::star::container::NoSuchElementException
| ) |  |

Returns
  the element with the specified implicit ID.

## ◆ getImplicitIDs()

sequence<string> getImplicitIDs | ( |  | ) |

Returns
  a sequence with all existing implicit IDs.

The documentation for this interface was generated from the following file:

- com/sun/star/container/XImplicitIDAccess.idl